Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# WakeUpEngine Class Reference

`#include <WakeUpEngine.h>`

List of all members.

## Public Member Functions
| WakeUpEngine ()
| ~WakeUpEngine ()
bool | execute (unsigned int frameNumber, const SensorData &sensorData, JointData &jointData, PIDData &pidData)
## Private Types
enum | { numberOfKeyFrames = 6 }
## Private Member Functions
void | start (const SensorData &sensorData, PIDData &pidData)
## Private Attributes
bool | running
int | counter
bool | finished
unsigned long | lastTimeRunFrameNumber
long int | position [JointData::numOfJoint][numberOfKeyFrames]
long int | stepSize [JointData::numOfJoint][numberOfKeyFrames-1]
int | frameNumberOfKeyFrame [numberOfKeyFrames]
int | frameNumberWhenDefaultPidDataIsReached
int | currentKeyFrame
double | diffP [JointData::numOfJoint]
double | diffI [JointData::numOfJoint]
double | diffD [JointData::numOfJoint]

## Member Enumeration Documentation

anonymous enum`[private]`

  | Enumeration values:
  numberOfKeyFrames |
Definition at line 39 of file WakeUpEngine.h.

## Constructor & Destructor Documentation

WakeUpEngine::WakeUpEngine | ( |  | ) |

| Definition at line 13 of file WakeUpEngine.cpp. References frameNumberOfKeyFrame, and frameNumberWhenDefaultPidDataIsReached.

WakeUpEngine::~WakeUpEngine | ( |  | ) |

| Definition at line 122 of file WakeUpEngine.cpp.

## Member Function Documentation

bool WakeUpEngine::execute | ( | unsigned int | frameNumber,
|  | const SensorData & | sensorData,
|  | JointData & | jointData,
|  | PIDData & | pidData
| ) |

| Definition at line 190 of file WakeUpEngine.cpp. References counter, currentKeyFrame, PIDData::d, JointData::data, diffD, diffI, diffP, frameNumberOfKeyFrame, frameNumberWhenDefaultPidDataIsReached, PIDData::i, lastTimeRunFrameNumber, numberOfKeyFrames, PIDData::p, PIDData::setToDefaults(), start(), and stepSize. Referenced by GT2005MotionControl::execute().

Here is the call graph for this function:

void WakeUpEngine::start | ( | const SensorData & | sensorData,
|  | PIDData & | pidData
| ) | `[private]`

| Definition at line 126 of file WakeUpEngine.cpp. References counter, currentKeyFrame, PIDData::d, SensorData::data, diffD, diffI, diffP, frameNumberOfKeyFrame, frameNumberWhenDefaultPidDataIsReached, PIDData::i, numberOfKeyFrames, PIDData::p, and stepSize. Referenced by execute().

## Member Data Documentation

bool WakeUpEngine::running`[private]`

| Definition at line 35 of file WakeUpEngine.h.

int WakeUpEngine::counter`[private]`

| Definition at line 36 of file WakeUpEngine.h. Referenced by execute(), and start().

bool WakeUpEngine::finished`[private]`

| Definition at line 37 of file WakeUpEngine.h.

unsigned long WakeUpEngine::lastTimeRunFrameNumber`[private]`

| Definition at line 38 of file WakeUpEngine.h. Referenced by execute().

long int WakeUpEngine::position[JointData::numOfJoint][numberOfKeyFrames]`[private]`

| Definition at line 40 of file WakeUpEngine.h.

long int WakeUpEngine::stepSize[JointData::numOfJoint][numberOfKeyFrames-1]`[private]`

| Definition at line 41 of file WakeUpEngine.h. Referenced by execute(), and start().

int WakeUpEngine::frameNumberOfKeyFrame[numberOfKeyFrames]`[private]`

| Definition at line 42 of file WakeUpEngine.h. Referenced by execute(), start(), and WakeUpEngine().

int WakeUpEngine::frameNumberWhenDefaultPidDataIsReached`[private]`

| Definition at line 43 of file WakeUpEngine.h. Referenced by execute(), start(), and WakeUpEngine().

int WakeUpEngine::currentKeyFrame`[private]`

| Definition at line 44 of file WakeUpEngine.h. Referenced by execute(), and start().

double WakeUpEngine::diffP[JointData::numOfJoint]`[private]`

| Definition at line 45 of file WakeUpEngine.h. Referenced by execute(), and start().

double WakeUpEngine::diffI[JointData::numOfJoint]`[private]`

| Definition at line 46 of file WakeUpEngine.h. Referenced by execute(), and start().

double WakeUpEngine::diffD[JointData::numOfJoint]`[private]`

| Definition at line 47 of file WakeUpEngine.h. Referenced by execute(), and start().

The documentation for this class was generated from the following files:

- Modules/MotionControl/WakeUpEngine.h
- Modules/MotionControl/WakeUpEngine.cpp